import java.io.File;
import java.lang.Exception;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import org.xml.sax.SAXException;
import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;


public class XMLvalidateur {

  public static void main(String[] args) {
    if (args.length != 1) {
      System.out.println("Validateur de fichier xml.");
      System.out.println("Usage : [programme] file.xml");
      System.exit(0);
    }
    try {
      File x = new File(args[0]);
      DocumentBuilderFactory f = DocumentBuilderFactory.newInstance();
      f.setValidating(true); // Default is false
      DocumentBuilder b = f.newDocumentBuilder();
      ErrorHandler h = new MyErrorHandler();
      b.setErrorHandler(h);
      b.parse(x);
    } catch (IOException e) {
      System.out.println("Erreur d'entree sortie : "
          + (e.getLocalizedMessage()));
      System.exit(0);
    } catch (SAXException e) {
      System.out.println("Erreur du parseur : " + (e.getLocalizedMessage()));
      System.exit(0);
    } catch (Exception e) {
      System.out.println("Quelque chose ne va pas.");
      System.exit(0);
    }
    System.out.printf("Document bien forme et valide.\n");
  }
  
}
